## Class Swift_Transport_Esmtp_AuthHandler

(line 21)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/Transport/Esmtp/AuthHandler.php

##### An ESMTP handler for AUTH support.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
Swift_Transport_Esmtp_AuthHandler __construct ( $authenticators)
void afterEhlo (Swift_Transport_SmtpAgent $agent)
string[] exposeMixinMethods ()
Swift_Transport_Esmtp_Authenticator[] getAuthenticators ()
string getAuthMode ()
boolean getHandledKeyword ()
void getMailParams ()
string getPassword ()
int getPriorityOver (string $esmtpKeyword)
void getRcptParams ()
string getUsername ()
void onCommand (Swift_Transport_SmtpAgent $agent, $command, [ $codes = array()], [ &$failedRecipients = null], [ &$stop = false])
void resetState ()
void setAuthenticators ( $authenticators)
void setAuthMode (string $mode)
void setKeywordParams ( $parameters)
void setPassword (string $password)
void setUsername (string $username)
array _getAuthenticatorsForAgent (Swift_Transport_SmtpAgent $agent)

#### Constructor __construct (line 63)

#### Swift_Transport_Esmtp_AuthHandler __construct( $authenticators)

##### Create a new AuthHandler with $authenticators for support.

#### Parameters

- Swift_Transport_Esmtp_Authenticator[] $authenticators:

#### Info

- access - public

#### Method afterEhlo (line 162)

#### void afterEhlo( Swift_Transport_SmtpAgent $agent)

Implementation of:

Swift_Transport_EsmtpHandler::afterEhlo()
  Runs immediately after a EHLO has been issued.

##### Runs immediately after a EHLO has been issued.

#### Parameters

- Swift_Transport_SmtpAgent $agent: to read/write

#### Info

- access - public

#### Method exposeMixinMethods (line 225)

#### string[] exposeMixinMethods( )

Implementation of:

Swift_Transport_EsmtpHandler::exposeMixinMethods()
  Returns an array of method names which are exposed to the Esmtp class.

##### Returns an array of method names which are exposed to the Esmtp class.

#### Info

- access - public

#### Method getAuthenticators (line 81)

#### Swift_Transport_Esmtp_Authenticator[] getAuthenticators( )

##### Get the Authenticators which can process a login request.

#### Info

- access - public

#### Method getAuthMode (line 135)

#### string getAuthMode( )

##### Get the auth mode to use to authenticate.

#### Info

- access - public

#### Method getHandledKeyword (line 144)

#### boolean getHandledKeyword( )

Implementation of:

Swift_Transport_EsmtpHandler::getHandledKeyword()
  Get the name of the ESMTP extension this handles.

##### Get the name of the ESMTP extension this handles.

#### Info

- access - public

#### Method getMailParams (line 189)

#### void getMailParams( )

Implementation of:

Swift_Transport_EsmtpHandler::getMailParams()
  Get params which are appended to MAIL FROM:<>.

##### Not used.

#### Info

- access - public

#### Method getPassword (line 117)

#### string getPassword( )

##### Get the password to authenticate with.

#### Info

- access - public

#### Method getPriorityOver (line 216)

#### int getPriorityOver( string $esmtpKeyword)

Implementation of:

Swift_Transport_EsmtpHandler::getPriorityOver()
  Returns +1, -1 or 0 according to the rules for usort().

##### Returns +1, -1 or 0 according to the rules for usort().

This method is called to ensure extensions can be execute in an appropriate order.

#### Parameters

- string $esmtpKeyword: to compare with

#### Info

- access - public

#### Method getRcptParams (line 197)

#### void getRcptParams( )

Implementation of:

Swift_Transport_EsmtpHandler::getRcptParams()
  Get params which are appended to RCPT TO:<>.

##### Not used.

#### Info

- access - public

#### Method getUsername (line 99)

#### string getUsername( )

##### Get the username to authenticate with.

#### Info

- access - public

#### Method onCommand (line 205)

#### void onCommand( Swift_Transport_SmtpAgent $agent, $command, [ $codes = array()], [ &$failedRecipients = null], [ &$stop = false])

Implementation of:

Swift_Transport_EsmtpHandler::onCommand()
  Runs when a command is due to be sent.

##### Not used.

#### Parameters

- Swift_Transport_SmtpAgent $agent:
- $command:
- $codes:
- &$failedRecipients:
- &$stop:

#### Info

- access - public

#### Method resetState (line 233)

#### void resetState( )

Implementation of:

Swift_Transport_EsmtpHandler::resetState()
  Tells this handler to clear any buffers and reset its state.

##### Not used.

#### Info

- access - public

#### Method setAuthenticators (line 72)

#### void setAuthenticators( $authenticators)

##### Set the Authenticators which can process a login request.

#### Parameters

- Swift_Transport_Esmtp_Authenticator[] $authenticators:

#### Info

- access - public

#### Method setAuthMode (line 126)

#### void setAuthMode( string $mode)

##### Set the auth mode to use to authenticate.

#### Parameters

- string $mode:

#### Info

- access - public

#### Method setKeywordParams (line 153)

#### void setKeywordParams( $parameters)

Implementation of:

Swift_Transport_EsmtpHandler::setKeywordParams()
  Set the parameters which the EHLO greeting indicated.

##### Set the parameters which the EHLO greeting indicated.

#### Parameters

- string[] $parameters:

#### Info

- access - public

#### Method setPassword (line 108)

#### void setPassword( string $password)

##### Set the password to authenticate with.

#### Parameters

- string $password:

#### Info

- access - public

#### Method setUsername (line 90)

#### void setUsername( string $username)

##### Set the username to authenticate with.

#### Parameters

- string $username:

#### Info

- access - public

#### Method _getAuthenticatorsForAgent (line 245)

#### array _getAuthenticatorsForAgent( Swift_Transport_SmtpAgent $agent)

##### Returns the authenticator list for the given agent.

#### Parameters

- Swift_Transport_SmtpAgent $agent:

#### Info

- access - protected

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:15 +0000 by phpDocumentor 1.4.3